/*
  制御対象に座標系を定義できる座標系クラス
  Satofumi KAMIMURA
  $Id: objCoordinateCtrl.cpp 286 2008-10-20 09:40:22Z satofumi $
*/

#include "objCoordinateCtrl.h"
#include <algorithm>

bool ObjCoordinateCtrl::isObjectCrdMode(const CoordinateCtrl* crd) const {
  // アドレスが登録されていれば true を返す
  if (find(crd2obj_crd.begin(), crd2obj_crd.end(), crd) != crd2obj_crd.end()) {
    return true;
  } else {
    return false;
  }
}


void ObjCoordinateCtrl::remove_crd(CoordinateCtrl* crd) {
  // アドレスが登録されていれば削除
  crd2obj_crd.remove(crd);
  CoordinateCtrl::remove_crd(crd);
}


void ObjCoordinateCtrl::registerChildAddress(CoordinateCtrl* crd) {
  // アドレスを登録
  crd2obj_crd.push_back(crd);
}
